{% load static %}
{% comment %}
 доступные props:
 -header_icon - для модалок с иконкой в header;
 -header_title - для модалок с title в header;
 -body_title - для модалок с title в body;
 -body_text - для модалок с text в body;
 -form - отображение формы;
 -form_phone - для модалок с input phone;
 -form_before_text - иногда присутствует before text  перед input ;
 -form_select - для модалок с select;
 -computer_form - отображение готовой формы "Компьютерная помощь";
 -btn - отображение блока кнопок;
 -cancel_btn - отображение кнопки "отменить";
 удачи
{% endcomment %}
<div class="modal fade dialog-modals" id="{{ id }}" data-keyboard="true" tabindex="-1"
     aria-labelledby="equipment-modal" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                {% if header_icon %}
                    <img class="modal-header__img" loading="lazy" src="{% static header_icon %}"
                         alt="">
                {% endif %}
                {% if header_title %}
                    <h6 class="modal-header__title">
                        {{ header_title }}
                    </h6>
                {% endif %}
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                {% if body_title %}
                    <h6 class="modal-body__title">
                        {{ body_title }}
                    </h6>
                {% endif %}
                {% if body_text %}
                    <p class="modal-body__text">
                        {{ body_text }}
                    </p>
                {% endif %}
                {% if form %}
                    <form action="" class="modal-body__form">
                        {% if form_phone %}
                            {% if form_before_text %}
                                <p>
                                    {{ form_before_text }}
                                </p>
                            {% endif %}
                            <div class="form-group delete-input-button">
                                <input class="form-control" type="text" placeholder="+38(099) 000-00-00" required>
                                <div class="input-group-prepend">
                                    <span class="input-group-text" onclick="clearInput(this)">&times;</span>
                                </div>
                            </div>
                        {% endif %}
                        {% if form_select %}
                            <div class="form-group">
                                {% if form_before_text %}
                                    <p>
                                        {{ form_before_text }}
                                    </p>
                                {% endif %}
                                <select class="custom-select custom-select-lg">
                                    <option selected>Open this select menu</option>
                                    <option value="1">One</option>
                                    <option value="2">Two</option>
                                    <option value="3">Three</option>
                                </select>
                            </div>
                        {% endif %}

                        <button class="btn acc-btn acc-btn-darkblue modal-body__btn">{{ btn_text }}</button>
                    </form>
                {% endif %}
            {% if computer_form %}
               <form action="" class="support-form">
                    <div class="form-group main-support-group">
                        <div class="input-group">
                            <input type="text" class="form-control" id="datepicker" placeholder="Выберите дату">
                             <div class="input-group-prepend">
                                    <span class="input-group-text"><img src="{% static 'src/images/icons/date.svg' %}" alt=""></span>
                                </div>
                        </div>
                        <div class="input-group">
                            <input type="text" class="form-control" id="timepicker" placeholder="Выберите время">
                              <div class="input-group-prepend">
                                    <span class="input-group-text"><img src="{% static 'src/images/icons/time.svg' %}" alt=""></span>
                                </div>
                        </div>
                        <div class="input-group">
                            <select class="custom-select" name="reason" id="reason">
                                <option value="" disabled selected hidden>Что случилось?</option>
                                <option value="2">lorem ipsum-2</option>
                                <option value="3">lorem ipsum-3</option>
                                <option value="4">lorem ipsum-4</option>
                                <option value="5">lorem ipsum-5</option>
                                <option value="6">lorem ipsum-6</option>
                                <option value="7">lorem ipsum-7</option>
                            </select>
                        </div>
                        <div class="input-group no-chevron">
                            <textarea placeholder="Комментарий" class="form-control"></textarea>
                        </div>

                    </div>
                     <div class="modal-body-buttons-block">

                        <a href="" class="button-cancel">
                            Отменить
                        </a>

                    <button class="btn acc-btn acc-btn-darkblue modal-body__btn">{{ btn_text }}</button>
                </div>
                </form>
            {% endif %}


            {% if btn %}
             <div class="modal-body-buttons-block">
                    {% if cancel_btn %}
                        <a href="" class="button-cancel">
                            Отменить
                        </a>
                    {% endif %}

                    <button class="btn acc-btn acc-btn-darkblue modal-body__btn">{{ btn_text }}</button>
                </div>
            {% endif %}
            </div>
        </div>
    </div>
</div>